#! /bin/sh
export HOST PORT CERTIFICATE

if [ $# -ne 3 ]
then
echo "Usage: `basename $0` [host] [port] [certificate]"
echo
echo "Where [certificate] is CACERTS/caroot.cert or SSCERTS/webhook.pem"
exit
fi
HOST=$1
PORT=$2
CERTIFICATE=$3

if [ -f ${CERTIFICATE} ]
then
curl --cacert ${CERTIFICATE} -v -H "Content-Type: application/json" -d '{"test":"Message text"}' -X POST https://${HOST}:${PORT}/
else
echo "Certificate was not found : $CERTIFICATE"
fi
#EOF
